package org.eclipse.bpel.test;

import org.eclipse.bpel.model.BPELPackage;
import org.eclipse.bpel.ui.BPELUIPlugin;
import org.eclipse.bpel.ui.IBPELUIConstants;
import org.eclipse.bpel.ui.factories.AbstractUIObjectFactory;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;

public class MyUIObjectFactory extends AbstractUIObjectFactory {
	ImageDescriptor smallDescriptor;
	ImageDescriptor largeDescriptor;
	
	public MyUIObjectFactory() {
		// Bogus - use your own icons here
		smallDescriptor = BPELUIPlugin.getPlugin().getImageDescriptor(IBPELUIConstants.ICON_SWITCH_16);
		largeDescriptor = BPELUIPlugin.getPlugin().getImageDescriptor(IBPELUIConstants.ICON_SWITCH_32);
	}

	
	public ImageDescriptor getSmallImageDescriptor() {
		return smallDescriptor;
	}

	public ImageDescriptor getLargeImageDescriptor() {
		return largeDescriptor;
	}

	public Image getSmallImage() {
		return smallDescriptor.createImage();
	}

	public Image getLargeImage() {
		return largeDescriptor.createImage();
	}

	public String getTypeLabel() {
		return "MyActivity";
	}

	public EClass getModelType() {
		// Bogus - return your own EClass here
		return BPELPackage.eINSTANCE.getActivity();
	}
}
